// EyeBot Demo Program: Camera Continuous Display, T. Braunl, May 2016
#include "eyebot.h"

void Threshold(BYTE gray[])
{ int i;
  for (i=0; i<QVGA_PIXELS; i++)
    gray[i] = (gray[i] > 50);
}

int main()
{ BYTE img[QVGA_PIXELS], lap[QVGA_PIXELS], col[QVGA_SIZE];

  CAMInit(QVGA);
  while (1)
  { CAMGetGray(img);
    IPLaplace(img, lap);
    Threshold(lap);
    IPOverlayGray(img, lap, RED, col);
    LCDImage(col);
  }
}
